package com.qmth.teachcloud.common.bean.vo;

import com.qmth.teachcloud.common.enums.ClassifyEnum;
import com.qmth.teachcloud.common.enums.UploadFileEnum;

public class PrintPathVo {
    private int index;
    private ClassifyEnum printType;
    private UploadFileEnum uploadType;
    private String type;
    private String pdfPath;
    private String  pdfMd5;
    private String  htmlPath;
    private String htmlMd5;

    public PrintPathVo() {
    }

    public PrintPathVo(ClassifyEnum printType, UploadFileEnum uploadType, String type, String pdfPath, String pdfMd5, String htmlPath, String htmlMd5) {
        this.index = printType.ordinal();
        this.printType = printType;
        this.uploadType = uploadType;
        this.type = type;
        this.pdfPath = pdfPath;
        this.pdfMd5 = pdfMd5;
        this.htmlPath = htmlPath;
        this.htmlMd5 = htmlMd5;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public ClassifyEnum getPrintType() {
        return printType;
    }

    public void setPrintType(ClassifyEnum printType) {
        this.printType = printType;
    }

    public UploadFileEnum getUploadType() {
        return uploadType;
    }

    public void setUploadType(UploadFileEnum uploadType) {
        this.uploadType = uploadType;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPdfPath() {
        return pdfPath;
    }

    public void setPdfPath(String pdfPath) {
        this.pdfPath = pdfPath;
    }

    public String getPdfMd5() {
        return pdfMd5;
    }

    public void setPdfMd5(String pdfMd5) {
        this.pdfMd5 = pdfMd5;
    }

    public String getHtmlPath() {
        return htmlPath;
    }

    public void setHtmlPath(String htmlPath) {
        this.htmlPath = htmlPath;
    }

    public String getHtmlMd5() {
        return htmlMd5;
    }

    public void setHtmlMd5(String htmlMd5) {
        this.htmlMd5 = htmlMd5;
    }
}
